package com.jy.framework.mybatis.join;

import cn.hutool.core.collection.ListUtil;
import lombok.AccessLevel;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor(access = AccessLevel.PROTECTED)
public class Join<T> {

    private final From<T> from;
    private final ConnectTable connectTable;

    public From<T> on(AbstractSql... sqlFormats) {
        connectTable.getQueryConditionList().addAll(ListUtil.toList(sqlFormats));
        return from;
    }

}